<template>
	<div>
		<common @asynCallBack="asynCallBack"></common>
		<top-header :pageTitle="pageTitle"></top-header>

		<div class="mui-content vongi-qqhm">
			<ul class="mui-table-view">
				<li v-for="(item,index) in recordList" class="mui-table-view-cell">
					<router-link class="mui-navigate-right" :to="{name:'MasterFamilyAdd',query:{id:item.id}}">
						<div class="mui-col-xs-8  mui-pull-left flew-items">
							<div class="mui-media-object mui-pull-left "><img :src="item.faceImageUrl" width="50" /></div>
							<div class="mui-media-body">
								<h3 v-text="item.name"></h3>
								<p class='mui-ellipsis' v-text="item.phone"></p>
							</div>
						</div>
						<!-- <span class=" mui-badge vongi-badge-primary">家属</span> -->
					</router-link>
				</li>
			</ul>
		</div>
		<div class="fyy-footer">
			<div class="bindfyy-btn"><button type="button" @click="goToAdd" class="mui-btn mui-btn-primary ">添加家庭成员账号</button></div>
		</div>

		<NullList :remark="'暂无成员'" v-if="!recordList.length"></NullList>

		<loading :visible="isLoading"></loading>
	</div>
</template>

<script>
	import * as API_Family from '@/apis/Master/family'
	import Common from '$project/components/Common.vue'
	import Loading from '$project/components/Loading.vue'
	import isReachBottom from '$project/utils/isReachBottom'
	import TopHeader from '$project/components/TopHeader.vue'
	import NullList from '$project/components/NullList.vue'

	import {
		mapGetters,
		mapMutations
	} from 'vuex'
	export default {
		name: 'MasterFamily',
		components: {
			Common,
			Loading,
			TopHeader,
			NullList
		},
		data() {
			return {
				pageTitle: '家庭成员管理',

				isLoading: false,

				listForm: {
					pageIndex: 1,
					pageSize: 20,
					totalPage: 1,
					type: 0
				},
				recordList: [],
			}
		},
		created() {},
		methods: {
			//获取列表
			getList() {
				this.isLoading = true;
				API_Family.getPersonList(this.listForm).then(response => {
					if (response) {
						if (this.listForm.pageIndex == 1) {
							this.recordList = response.data;
							this.listForm.pageIndex = response.pageNumber;
							this.listForm.totalPage = response.totalPage;
						} else {
							this.recordList = [
								...this.recordList,
								...response.data
							];
						}
					}
					this.listForm.pageIndex++;
					this.isLoading = false;
				}).catch(error => {
					this.isLoading = false;
					mui.toast(error);
				})
			},
			//下拉事件
			handleScrool() {
				if (isReachBottom()) {
					console.log('到达底部')
					if (this.listForm.pageIndex <= this.listForm.totalPage && this.isLoading == false) {
						this.getList();
					} else {
						return;
					}
				}
			},
			//添加
			goToAdd() {
				this.$router.push({
					name: 'MasterFamilyAdd'
				})
			},
			asynCallBack() {

			},
		},
		mounted() {
			this.getList();
			//监控下拉加载事件
			var _this = this;
			window.addEventListener('scroll', _this.handleScrool);
		},
		destroyed() {
			//销毁监听事件
			var _this = this;
			window.removeEventListener('scroll', _this.handleScrool);
		},
		computed: {
			...mapGetters({
				openId: 'wx_openid',
				token: 'token',
			})
		}
	}
</script>

<style scoped src="$project/assets/css/xpwyfyy.css"></style>
<style src="$project/assets/css/iconfont.css"></style>
<style>
</style>
